using Microsoft.Extensions.Configuration;
using Siger.CommonUtil;
using Siger.Schedule.DashboardModule;
using System;
using System.IO;
using Xunit;

namespace Siger.UnitTest
{
    public class DashboardUnitTest
    {
        static DashboardUnitTest()
        {
            IConfiguration config = new ConfigurationBuilder()
                .AddJsonFile(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, @"appsettings.json"))
                .Build();
            ConfigFactory.InitConfigByContent(config);
        }
            

        [Fact]
        public void AuteKpiActionPushTest()
        {
            AuteKpiActionSchedule push = new AuteKpiActionSchedule();
            push.PreInit(null);
            push.Execute(null);
            push.AfterExecute(null);
        }
        [Fact]
        public void AutoMonthReportJobPushTest()
        {
            AutoMonthReportJobSchedule push = new AutoMonthReportJobSchedule();
            push.PreInit(null);
            push.Execute(null);
            push.AfterExecute(null);
        }
        [Fact]
        public void AutoQmsSnHelperPushTest()
        {
            AutoQmsSnHelperSchedule push = new AutoQmsSnHelperSchedule();
            push.PreInit(null);
            push.Execute(null);
            push.AfterExecute(null);
        }
        [Fact]
        public void AutoTaskJobcsPushTest()
        {
            AutoTaskJobcsSchedule push = new AutoTaskJobcsSchedule();
            push.PreInit(null);
            push.Execute(null);
            push.AfterExecute(null);
        }
        [Fact]
        public void AutoTpmRepairPushTest()
        {
            AutoTpmRepairSchedule push = new AutoTpmRepairSchedule();
            push.PreInit(null);
            push.Execute(null);
            push.AfterExecute(null);
        }
    }
}
